Request
curl https://sandbox.api.lendeasy.ai/v1/customers/$CUSTOMER_ID/governance-records \
-H "Authorization: Bearer $TOKEN"
await fetch(`https://sandbox.api.lendeasy.ai/v1/customers/${customerId}/governance-records`, {
method: "GET",
headers: { Authorization: `Bearer ${token}` },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/customers/{customer_id}/governance-records",
headers={"Authorization": f"Bearer {token}"},
)
{
"items": [
{
"governanceId": 903,
"occurredAt": "2027-08-20T17: 14:09Z",
"contextType": "CASE",
"contextRef": "case_CEDAR_HARDSHIP_4",
"permissionCode": "APPLY_LMS_RESTRICTION",
"route": "POST /v1/customers/412/restrictions",
"actorClass": "HUMAN",
"correlationId": "corr_01JZ7M5KX2"
}
]
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}